<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class NewsService extends AbstractServiceClient implements NewsServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'NewsService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param array $data
     * @return mixed
     */
    public function getCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function categoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getArticleList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getArticleInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getCategoryInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    /**
     * 更新资讯状态
     * @param array $data
     * @return mixed
     */
    public function upArticleStatus(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticlett(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteModelArticles(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticleList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return array
     */
    public function selectWebsiteArticleInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteSurvey(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyOption(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyVote(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

     /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
        /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCatidArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteAllArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteArticles(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshop(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopCat(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteBook(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteBookList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteBookInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJob(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobApply(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobResume(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function test(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobRecruiting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function checkWebsiteRoute(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteJobSelect(array $data) 
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCatidshop(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteLevelJob(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCompany(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCompanyInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCompanyList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteProject(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteProjectInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteProjectList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
}